Bug 585967 - Exim returning "exit 1" due to root ownership of main.log/etc. ... results in sendmail callers thinking email is not sent (evolution sending emails lots of times)
Exim returning "exit 1" due to root ownership of main.log/etc. ... results in...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: exim (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: David Woodhouse
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-26 10:39 EDT by James Antill
Modified: 2011-06-27 11:53 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 11:53:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Antill 2010-04-26 10:39:07 EDT
Description of problem:
 After clicking reply and sending email, I see 3+ emails on the mailing lists ... looking in my "outbox" I see all the emails still there (in bold). I highlighted all of them and hit delete C-e.

Version-Release number of selected component (if applicable):
% sudo yum ls evolution
Installed Packages
evolution.x86_64                 2.30.0-3.fc13                  @updates-testing
Comment 1 James Antill 2010-04-26 17:51:46 EDT
Pretty sure this is an exim bug, after the update I had:


% sudo sendmail -Mrm 1O6W7R-0007Fd-Pc 1O6W6f-0007EF-SU 1O6W5i-0007D8-5r
Message 1O6W7R-0007Fd-Pc has been removed
2010-04-26 17:47:06 1O6W7R-0007Fd-Pc Cannot open main log file "/var/log/exim/main.log": Permission denied: euid=93 egid=93
2010-04-26 17:47:06 1O6W7R-0007Fd-Pc removed by root
2010-04-26 17:47:06 1O6W7R-0007Fd-Pc Cannot open main log file "/var/log/exim/main.log": Permission denied: euid=93 egid=93
exim: could not open panic log - aborting: see message(s) above
[1]    27917 exit 1     sudo sendmail -Mrm 1O6W7R-0007Fd-Pc 1O6W6f-0007EF-SU 1O6W5i-0007D8-5r
% ll -d /var/log/exim/main.log
-rw-r--r--. 1 root adm 389K Apr 26 17:24 /var/log/exim/main.log

...after I did:


% sudo chown exim /var/log/exim/main.log


...dito panic.log and reject.log ... I stopped getting the complaints from git, sendmail -Mrm etc. ... I assume evolution will be happy too.
Comment 2 David Woodhouse 2010-04-27 06:50:17 EDT
Two bugs then -- the log file permissions, and the exit code. How did the former happen?
Comment 3 James Antill 2010-04-27 10:31:36 EDT
I assumed that was exim, but I guess not now :).

Having a quick look logrotate is a good candidate:

logrotate.conf has:

  # create new (empty) log files after rotating old ones
  create 0640 root adm

...and /etc/logrotate.d/exim doesn't override that, but the last rotation was the 4th ... and it was only broken since Saturday (when I upgraded to F-13).
Comment 4 James Antill 2010-05-03 12:45:35 EDT
I assume the chown is logwatch related as it reverted this morning:


# ll /var/log/exim
total 146M
drwxr-xr-x.  2 exim exim 4.0K May  2 03:49 ./
drwxr-xr-x. 17 root root 4.0K May  2 03:49 ../
-rw-r-----.  1 root adm  1.5M May  3 12:19 main.log
-rw-r-----.  1 exim exim  11M Apr 11 03:15 main.log-20100411
-rw-r-----.  1 exim exim  14M Apr 18 03:39 main.log-20100418
-rw-r-----.  1 exim exim 7.7M Apr 25 03:49 main.log-20100425
-rw-r--r--.  1 exim exim 7.2M May  2 03:49 main.log-20100502
-rw-r-----.  1 root adm     0 May  2 03:49 panic.log
-rw-r-----.  1 exim exim   83 Mar 31 04:50 panic.log-20100404
-rw-r-----.  1 exim exim   83 Apr 21 04:25 panic.log-20100422
-rw-r-----.  1 exim exim 1.2M Apr 26 03:47 panic.log-20100426
-rw-r-----.  1 exim exim  429 Apr 29 02:53 panic.log-20100502
-rw-r-----.  1 root adm     0 May  2 03:49 reject.log
-rw-r-----.  1 exim exim  26M Apr 11 03:14 reject.log-20100411
-rw-r-----.  1 exim exim  27M Apr 18 03:38 reject.log-20100418
-rw-r-----.  1 exim exim  26M Apr 25 03:46 reject.log-20100425
-rw-r-----.  1 exim exim  28M May  2 03:49 reject.log-20100502
Comment 5 Bug Zapper 2011-06-02 10:50:43 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2011-06-27 11:53:25 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.